#ifndef BBZ_H
#define BBZ_H

void LoadPatchesBBZ( const char *filename, float ** &patch, int &npatches,
                     float modelcenter[3], float modelbounds[6], int two_sided );
void LoadPatchesBBZ( const char *filename, float ** &patch, float ** &texcoords, int &npatches,
                     float modelcenter[3], float modelbounds[6], int two_sided );
void LoadPatchesBBZ( const char *filename, float ** &patch, float ** &du, float ** &dv,
                     int &npatches, float modelcenter[3], float modelbounds[6], int two_sided );
void LoadPatchesBBZ( const char *filename, float ** &patch, float ** &texcoords, float ** &du, float ** &dv,
                     int &npatches, float modelcenter[3], float modelbounds[6], int two_sided );

#endif
